[ClusterLabs] Antw: Re: fence_sanlock and pacemaker

Ulrich Windl Ulrich.Windl at rz.uni-regensburg.de
Thu Aug 27 02:20:39 EDT 2015


>>> "Laurent B." <laurentb at qmail.re> schrieb am 27.08.2015 um 08:06 in
Nachricht
<55DEA8CC.3080406 at qmail.re>:
> Hello,
> 
>> You’d have to build it yourself, but sbd could be an option
>>
> 
> do you have any clue on how to install it on redhat (6.5) ? I installed
> the gluster glue package and the sbd package (provided by OpenSUSE) but
> now I'm stuck. The stonith resource creation give me an error saying
> that the sbd resource was not found.

sbd has to be started before the cluster software. SUSE does something like:
SBD_CONFIG=/etc/sysconfig/sbd
SBD_BIN="/usr/sbin/sbd"
if [ -f $SBD_CONFIG ]; then
        . $SBD_CONFIG
fi

[ -x "$exec" ] || exit 0

SBD_DEVS=${SBD_DEVICE%;}
SBD_DEVICE=${SBD_DEVS//;/ -d }

: ${SBD_DELAY_START:="no"}

StartSBD() {
        test -x $SBD_BIN || return
        if [ -n "$SBD_DEVICE" ]; then
                if ! pidofproc $SBD_BIN >/dev/null 2>&1 ; then
                        echo -n "Starting SBD - "
                        if ! $SBD_BIN -d $SBD_DEVICE -D $SBD_OPTS watch ;
then
                                echo "SBD failed to start; aborting."
                                exit 1
                        fi
                        if env_is_true ${SBD_DELAY_START} ; then
                                sleep $(sbd -d "$SBD_DEVICE" dump | grep -m 1
ms
gwait | awk '{print $4}') 2>/dev/null
                        fi
                fi
        fi
}

StopSBD() {
        test -x $SBD_BIN || return
        if [ -n "$SBD_DEVICE" ]; then
                echo -n "Stopping SBD - "
                if ! $SBD_BIN -d $SBD_DEVICE -D $SBD_OPTS message LOCAL exit ;
t
hen
                        echo "SBD failed to stop; aborting."
                        exit 1
                fi
        fi
        while pidofproc $SBD_BIN >/dev/null 2>&1 ; do
                sleep 1
        done
        echo -n "done "
}

> 
> Thank you,
> 
> Laurent
> 
> 
> _______________________________________________
> Users mailing list: Users at clusterlabs.org 
> http://clusterlabs.org/mailman/listinfo/users 
> 
> Project Home: http://www.clusterlabs.org 
> Getting started: http://www.clusterlabs.org/doc/Cluster_from_Scratch.pdf 
> Bugs: http://bugs.clusterlabs.org 







More information about the Users mailing list